<?php
/**
 * Settings for Stcpay Gateway.
 *
**/

defined( 'ABSPATH' ) || exit;

$environments = ('Production', 'Sandbox')

function generate_button_html( $key, $data ) {
    $defaults = array(
        'class'             => 'button-secondary',
        'css'               => '',
        'custom_attributes' => array(),
        'desc_tip'          => false,
        'description'       => '',
        'title'             => '',
    );

    $data = wp_parse_args( $data, $defaults );

    ob_start();
    ?>
    <tr valign="top">
        <td class="forminp">
            <fieldset>
                <legend class="screen-reader-text"><span><?php echo wp_kses_post( $data['title'] ); ?></span></legend>
                <a class="<?php echo esc_attr( $data['class'] ); ?>" type="button" name="<?php echo esc_attr( $field ); ?>" id="<?php echo esc_attr( $field ); ?>" style="<?php echo esc_attr( $data['css'] ); ?>" <?php echo $this->get_custom_attribute_html( $data ); ?>><?php echo wp_kses_post( $data['title'] ); ?></a>
                <?php echo $this->get_description_html( $data ); ?>
            </fieldset>
        </td>
    </tr>
    <?php
    return ob_get_clean();
}

return array(
	'switchere_activation' => array(
        'title'             => __( 'Activate!', 'woocommerce-integration-demo' ),
        'type'              => 'button',
        'custom_attributes' => array(
            'onclick' => "location.href='http://atri.test:3000/activate_merchant'",
        ),
        'content' => generate_button_html('switchere_activation', array()),
    ),
    'enabled' => array(
        'title'       => 'Enable/Disable',
        'label'       => 'Enable Switchere Gateway',
        'type'        => 'checkbox',
        'description' => '',
        'default'     => 'no'
    ),
    'title' => array(
        'title'       => 'Title',
        'type'        => 'text',
        'description' => 'This controls the title which the user sees during checkout.',
        'default'     => 'MyApp',
        'desc_tip'    => true,
    ),
    'description' => array(
        'title'       => 'Description',
        'type'        => 'text',
        'description' => 'This controls the description which the user sees during checkout.',
        'desc_tip'    => true,
    ),
    'api_key' => array(
        'title'       => 'API-Key',
        'type'        => 'text',
        'placeholder' => 'Enter Switchere API-Key'
    ),
    'secret' => array(
        'title'       => 'Secret',
        'type'        => 'text',
        'placeholder' => 'Enter Switchere  Secret'
    ),
);